List Agent's Attached Knowledge Bases
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge-bases"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "name": "string", "description": "string", "embedding_provider_id": "86d1a60e-b1d4-4040-9ce3-d8f39af8870c", "embedding_model": "string", "embedding_credential_id": "322e0b94-7b7d-4a7f-b43a-ce6b3307de1a", "embedding_dim": 0, "chunk_size": 0, "chunk_overlap": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}